View Issue Details

IDProjectCategoryView StatusLast Update
0003541OpenFOAMBugpublic2020-09-03 14:37
Reportermichael.mueller-wrdAssigned Towill 
PrioritylowSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformGNU/LinuxOScentOSOS Version(please specify)
Product Version7 
Fixed in Versiondev 
Summary0003541: foamListTimes not working for collated decomposition
DescriptionThe tool foamListTimes raises an error in case of a having a simulation which was run with collated fileHandler (e.g. producing directory "processors192").
I would assume that the line:
$> foamListTime -fileHandler collated -processor
should work, but apparently it looks for "processor0" only.

I am still using version 7, but the same error happens in case of version 8.
Steps To ReproduceUse collated fileHandler in any decomposed tutorial case, and try to get results output directories with foamListTimes...
TagsNo tags attached.

Activities

ZhangYan

2020-09-02 21:57

reporter   ~0011486

Hi,
Maybe you can try my version of foamListTime:
https://github.com/ZhangYanTJU/ZYfoamListTimes

michael.mueller-wrd

2020-09-03 09:36

reporter   ~0011487

Thanks for the reply, but I would think this may/should be solved [more handily] in the general tool version...

henry

2020-09-03 12:10

manager   ~0011488

Try commit a7f185eec200791fc0bd9fa7f0b60bce90c1f3ef in OpenFOAM-dev

will

2020-09-03 14:37

manager   ~0011489

Confirmed that this now works. In addition the following commit also fixes usage of the "-rm" option when using the collated file handler.

https://github.com/OpenFOAM/OpenFOAM-dev/commit/ec858fe59df5fbe49a4184dbea5660af78961105

Issue History

Date Modified Username Field Change
2020-08-31 09:08 michael.mueller-wrd New Issue
2020-09-02 21:57 ZhangYan Note Added: 0011486
2020-09-03 09:36 michael.mueller-wrd Note Added: 0011487
2020-09-03 12:10 henry Note Added: 0011488
2020-09-03 14:37 will Assigned To => will
2020-09-03 14:37 will Status new => resolved
2020-09-03 14:37 will Resolution open => fixed
2020-09-03 14:37 will Fixed in Version => dev
2020-09-03 14:37 will Note Added: 0011489